@echo off
REM --------------------------------------------------------------------------
REM 
REM    Script to execute the I4GL to EGL Conversion Utility  on command line
REM 
REM --------------------------------------------------------------------------
if "%1"== "" goto usage

if not ("%RAD_HOME%" == "") set RAD_HOME=%CD%\..
if not ("%JAVA_HOME%" == "") set JAVA_HOME=%RAD_HOME%\eclipse\jre
set PATH=%PATH%;.;%RAD_HOME%\eclipse\jre\bin
set JAVA=%JAVA_HOME%\bin\java
set CONVERSION_VERSION=6.0.1.1001

REM 6.0.1 release
set PLUGIN=com.ibm.etools.i4gl.conversion_%CONVERSION_VERSION%
set CONNECTIVITY=connectivity.jar
set CONNECTIVITYLANG=connectivitylang.jar
set JASPER=jasperreports-0.6.1.jar
set PROG=com.ibm.etools.i4gl.parser.I4GL2EGL
set PLUGINDIR=%RAD_HOME%\egl\eclipse\plugins\%PLUGIN%
set I4GL2EGL=%PLUGINDIR%\runtime\i4gl2egl.jar
set LIB=%PLUGINDIR%\lib\%CONNECTIVITY%;%PLUGINDIR%\lib\%CONNECTIVITYLANG%;%PLUGINDIR%\lib\%JASPER%

if not exist "%I4GL2EGL%" goto noEglLibEx
"%JAVA%" -version
rem if not errorlevel 0 goto noJreEx

"%JAVA%" -cp "%LIB%;%I4GL2EGL%" %PROG% %1 %2 %3 %4 %5 %6 

goto end

:noEglLibEx
echo "Error: Cannot locate the conversion tools plugin "
echo "Please set %RAD_HOME% pointing to RAD installation"
goto end

:noJreEx
echo "Error: Cannot find JRE installation"

goto end

:usage
echo "Usage : e4gl.bat <configuration file [-reconversion] <manifest file
echo   configuration file : valid configuration file with project parameters
echo   -reconversion      : option set for reconversion projects 
echo   manifest file      : manifest file for reconversion project 
echo 
echo 	set RAD_HOME enviornment variable if this script is not run from the directory
echo 	where this script is installed
echo
echo 	RAD_HOME - RAD installation in the system
:end
